<?php
/**
 * Ad Management Tab
 *
 * @package Chronicle
 */

$menus['ad-management'] = array(
	'icon'  => 'fa-bar-chart-o',
	'title' => esc_html__( 'Ad Management', 'chronicle' ),
	'desc'  => esc_html__( 'Now, ad management is easy with our options panel. You can control everything from here, without using separate plugins.', 'chronicle' ),
);

$sections['ad-management'] = array(

	array(
		'id'       => 'detect_adblocker',
		'type'     => 'switch',
		'title'    => esc_html__( 'Detect Ad Blocker', 'chronicle' ),
		'sub_desc' => esc_html__( 'If user is using any ad blocker extension then this option will hide the content and will ask user to white-list your website.', 'chronicle' ),
		'std'      => '0',
	),

	array(
		'id'         => 'detect_adblocker_type',
		'type'       => 'button_set',
		'title'      => esc_html__( 'Ad Blocker Notice Type', 'chronicle' ),
		'class'      => 'green',
		'options'    => array(
			'hide-content' => esc_html__( 'Hide Content', 'chronicle' ),
			'popup'        => esc_html__( 'Show Popup', 'chronicle' ),
			'floating'     => esc_html__( 'Floating Notice', 'chronicle' ),
			'shortcode'    => esc_html__( 'Shortcode', 'chronicle' ),
		),
		// translators: Ad Blocker title description.
		'sub_desc'   => sprintf( __( 'Choose Ad Blocker Notice type from here. SHORTCODE: %s ', 'chronicle' ), '<code>[detect_adblocker title="Your Title" description="Description"]Content[/detect_adblocker]</code>' ),
		'std'        => 'popup',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'detect_adblocker',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'detect_adblocker_title',
		'type'       => 'text',
		'title'      => esc_html__( 'Ad Blocker Title', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Enter Ad Blocker detector Title here.', 'chronicle' ),
		'std'        => esc_html__( 'Ad Blocker Detected', 'chronicle' ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'detect_adblocker',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'detect_adblocker_description',
		'type'       => 'textarea',
		'title'      => esc_html__( 'Ad Blocker Description', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Enter Ad Blocker detector Description here.', 'chronicle' ),
		'std'        => esc_html__( 'Our website is made possible by displaying online advertisements to our visitors. Please consider supporting us by disabling your ad blocker.', 'chronicle' ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'detect_adblocker',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'       => 'background_clickable',
		'type'     => 'switch',
		'title'    => esc_html__( 'Site Background Clickable', 'chronicle' ),
		'sub_desc' => esc_html__( 'This option will make your website background clickable.', 'chronicle' ),
		'std'      => '0',
	),
	array(
		'id'         => 'background_link',
		'type'       => 'text',
		'title'      => esc_html__( 'Site Background URL', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Enter URL Here', 'chronicle' ),
		'validate'   => 'url',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'background_clickable',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'background_link_new_tab',
		'type'       => 'switch',
		'title'      => esc_html__( 'Site Background Click - Open in new Tab', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Enable this option to open link in a new tab.', 'chronicle' ),
		'std'        => '1',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'background_clickable',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'       => 'mts_header_adcode',
		'type'     => 'ace_editor',
		'mode'     => 'html',
		'title'    => esc_html__( 'Header Ad', 'chronicle' ),
		'sub_desc' => esc_html__( 'Paste your AdSense, BSA or other ad code here to show ads in Header Area.', 'chronicle' ),
	),
	array(
		'id'       => 'header_adcode_show',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Header Adcode Show on', 'chronicle' ),
		'sub_desc' => esc_html__( 'Choose where you want to show the header adcode', 'chronicle' ),
		'options'  => array(
			'all'    => esc_html__( 'All Pages', 'chronicle' ),
			'blog'   => esc_html__( 'Blog Page', 'chronicle' ),
			'single' => esc_html__( 'Single Post', 'chronicle' ),
			'page'   => esc_html__( 'Pages', 'chronicle' ),
			'both'   => esc_html__( 'Blog and Single Page', 'chronicle' ),
		),
		'std'      => 'all',
	),
	array(
		'id'       => 'header_ad_size',
		'type'     => 'select',
		'title'    => esc_html__( 'Header Ad Size [For AdSense Ads]', 'chronicle' ),
		'sub_desc' => esc_html__( 'If you leave the AdSense size boxes on Auto, the theme will automatically resize the Google ads. Note: For smaller screens ads will be set on Auto mode irrespective of size defined here.', 'chronicle' ),
		'options'  => ad_sizes(),
		'std'      => '0',
	),
	array(
		'id'       => 'mts_header_adcode_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Ad Margin', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set header ad margin from here.', 'chronicle' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => chronicle_px2rem( '59px' ),
			'bottom' => '0',
		),
	),
	array(
		'id'       => 'navigation_ad',
		'type'     => 'switch',
		'title'    => esc_html__( 'Navigation Ad', 'chronicle' ),
		'sub_desc' => esc_html__( 'This option will let you add an Ad below Navigation menu.', 'chronicle' ),
		'std'      => '0',
	),
	array(
		'id'         => 'navigation_adcode',
		'type'       => 'ace_editor',
		'mode'       => 'html',
		'title'      => esc_html__( 'Navigation Ad Code', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Paste your Adsense, BSA or other ad code here to show ads in the Header.', 'chronicle' ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'navigation_ad',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'navigation_ad_size',
		'type'       => 'select',
		'title'      => esc_html__( 'Navigation Ad Size [For AdSense Ads]', 'chronicle' ),
		'sub_desc'   => esc_html__( 'If you leave the AdSense size boxes on Auto, the theme will automatically resize the Google ads. Note: For smaller screens ads will be set on Auto mode irrespective of size defined here.', 'chronicle' ),
		'options'    => ad_sizes(),
		'std'        => '26',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'navigation_ad',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'navigation_ad_background',
		'type'       => 'color',
		'title'      => esc_html__( 'Navigation Ad Background', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Set background color for navigation Ad from here.', 'chronicle' ),
		'std'        => '#252525',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'navigation_ad',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'       => 'mts_postfooter_adcode',
		'type'     => 'ace_editor',
		'mode'     => 'html',
		'title'    => esc_html__( 'Before Footer', 'chronicle' ),
		'sub_desc' => esc_html__( 'Paste your AdSense, BSA or other ad code here to show ads before footer.', 'chronicle' ),
	),
	array(
		'id'       => 'mts_postfooter_adcode_time',
		'type'     => 'text',
		'title'    => esc_html__( 'Show After X Days', 'chronicle' ),
		'sub_desc' => esc_html__( 'Enter the number of days after which you want to show the before footer. Enter 0 to disable this feature.', 'chronicle' ),
		'validate' => 'numeric',
		'std'      => '0',
		'class'    => 'small-text',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'       => 'mts_posttop_adcode',
		'type'     => 'ace_editor',
		'mode'     => 'html',
		'title'    => esc_html__( 'Below Post Title', 'chronicle' ),
		'sub_desc' => esc_html__( 'Paste your AdSense, BSA or other ad code here to show ads below your article title on single posts.', 'chronicle' ),
	),
	array(
		'id'       => 'mts_posttop_adcode_time',
		'type'     => 'text',
		'title'    => esc_html__( 'Show After X Days', 'chronicle' ),
		'sub_desc' => esc_html__( 'Enter the number of days after which you want to show the Below Post Title Ad. Enter 0 to disable this feature.', 'chronicle' ),
		'validate' => 'numeric',
		'std'      => '0',
		'class'    => 'small-text',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'       => 'mts_postend_adcode',
		'type'     => 'ace_editor',
		'mode'     => 'html',
		'title'    => esc_html__( 'Below Post Content', 'chronicle' ),
		'sub_desc' => esc_html__( 'Paste your AdSense, BSA or other ad code here to show ads below the post content on single posts.', 'chronicle' ),
	),
	array(
		'id'       => 'mts_postend_adcode_time',
		'type'     => 'text',
		'title'    => esc_html__( 'Show After X Days', 'chronicle' ),
		'sub_desc' => esc_html__( 'Enter the number of days after which you want to show the Below Post Title Ad. Enter 0 to disable this feature.', 'chronicle' ),
		'validate' => 'numeric',
		'std'      => '0',
		'class'    => 'small-text',
		'args'     => array( 'type' => 'number' ),
	),
);
