<?php
/**
 * Back to top
 *
 * @package Chronicle
 */

$menus['footer']['child']['footer-back-to-top'] = array(
	'title' => esc_html__( 'Back to Top', 'chronicle' ),
	'desc'  => esc_html__( 'From here, you can control the back to top button.', 'chronicle' ),
);

// Dependency check that back to top option is enable.
$top_button_dependency = array(
	'field'      => 'show_top_button',
	'value'      => '1',
	'comparison' => '==',
);

$floating_button_dependency = array(
	'field'      => 'bt_top_button_position',
	'value'      => 'floating',
	'comparison' => '==',
);

$bottom_button_dependency = array(
	'field'      => 'bt_top_button_position',
	'value'      => 'bottom',
	'comparison' => '==',
);

$sections['footer-back-to-top'] = array(

	array(
		'id'       => 'show_top_button',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Top Button', 'chronicle' ),
		'sub_desc' => esc_html__( 'Enable or disable back to top button with this option.', 'chronicle' ),
		'std'      => '1',
	),

	array(
		'id'         => 'bt_top_button_position',
		'type'       => 'button_set',
		'title'      => esc_html__( 'Top Buttons Position', 'chronicle' ),
		'options'    => array(
			'floating' => esc_html__( 'Floating', 'chronicle' ),
			'bottom'   => esc_html__( 'Bottom', 'chronicle' ),
		),
		'sub_desc'   => esc_html__( 'Choose position for Top Button.', 'chronicle' ),
		'std'        => 'bottom',
		'class'      => 'green',
		'dependency' => array(
			'relation' => 'and',
			$top_button_dependency,
		),
	),

	array(
		'id'         => 'top_button_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Top Button Icon Color', 'chronicle' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'chronicle' ),
		'args'       => array( 'opacity' => true ),
		'std'        => '#ffffff',
		'dependency' => array(
			'relation' => 'and',
			$top_button_dependency,
		),
	),
	array(
		'id'         => 'top_button_color_hover',
		'type'       => 'color',
		'title'      => esc_html__( 'Top Button Icon Hover Color', 'chronicle' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'chronicle' ),
		'args'       => array( 'opacity' => true ),
		'std'        => '#ffffff',
		'dependency' => array(
			'relation' => 'and',
			$top_button_dependency,
		),
	),

	array(
		'id'         => 'top_button_background',
		'type'       => 'color',
		'title'      => esc_html__( 'Background Settings', 'chronicle' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'chronicle' ),
		'args'       => array( 'opacity' => true ),
		'std'        => '#111314',
		'dependency' => array(
			'relation' => 'and',
			$top_button_dependency,
		),
	),
	array(
		'id'         => 'top_button_background_hover',
		'type'       => 'color',
		'title'      => esc_html__( 'Background Hover Settings', 'chronicle' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'chronicle' ),
		'args'       => array( 'opacity' => true ),
		'std'        => chronicle_get_settings( 'primary_color_scheme' ),
		'dependency' => array(
			'relation' => 'and',
			$top_button_dependency,
		),
	),

	array(
		'id'         => 'top_button_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Set Top button padding from here.', 'chronicle' ),
		'std'        => array(
			'top'    => chronicle_px2rem( '16px' ),
			'right'  => chronicle_px2rem( '20px' ),
			'bottom' => chronicle_px2rem( '16px' ),
			'left'   => chronicle_px2rem( '20px' ),
		),
		'dependency' => array(
			'relation' => 'and',
			$top_button_dependency,
		),
	),
	array(
		'id'         => 'top_button_position',
		'type'       => 'margin',
		'title'      => esc_html__( 'Top Button Position', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Set top button position from here.', 'chronicle' ),
		'std'        => array(
			'top'    => 'auto',
			'right'  => chronicle_px2rem( '30px' ),
			'bottom' => chronicle_px2rem( '80px' ),
			'left'   => 'auto',
		),
		'dependency' => array(
			'relation' => 'and',
			$top_button_dependency,
			$floating_button_dependency,
		),
	),
	array(
		'id'         => 'top_bottom_button_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Top Button Margin', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Set top button Margin from here.', 'chronicle' ),
		'left'       => false,
		'right'      => false,
		'std'        => array(
			'top'    => '0px',
			'bottom' => '0px',
		),
		'dependency' => array(
			'relation' => 'and',
			$top_button_dependency,
			$bottom_button_dependency,
		),
	),
	array(
		'id'         => 'top_button_border_radius',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Border Radius', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Set border radius of top button in px.', 'chronicle' ),
		'std'        => '0',
		'args'       => array( 'type' => 'number' ),
		'dependency' => array(
			'relation' => 'and',
			$top_button_dependency,
		),
	),

	array(
		'id'         => 'top_button_border',
		'type'       => 'border',
		'title'      => esc_html__( 'Border', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Select border', 'chronicle' ),
		'dependency' => array(
			'relation' => 'and',
			$top_button_dependency,
		),
	),

);
