<?php
/**
 * HomePage Tab
 *
 * @package Chronicle
 */

$menus['blog'] = array(
	'icon'  => 'fa-list-alt',
	'title' => esc_html__( 'Blog', 'chronicle' ),
);

$menus['blog']['child']['blog-general'] = array(
	'title' => esc_html__( 'General', 'chronicle' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Blog page.', 'chronicle' ),
);

$sections['blog-general'] = array(

	array(
		'id'                => 'featured_categories',
		'type'              => 'group',
		'title'             => esc_html__( 'Blog Sections', 'chronicle' ),
		'sub_desc'          => esc_html__( 'Select categories appearing on the homepage.', 'chronicle' ),
		'groupname'         => esc_html__( 'Section', 'chronicle' ),
		'subfields'         => array(
			array(
				'id'    => 'mts_featured_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'chronicle' ),
			),
			array(
				'id'   => 'unique_id',
				'type' => 'text',
				'args' => array(
					'type'  => 'hidden',
					'class' => 'hidden',
				),
				'std'  => uniqid(),
			),
			array(
				'id'       => 'blog_layout',
				'type'     => 'radio_img',
				'title'    => esc_html__( 'Blog Layout', 'chronicle' ),
				'sub_desc' => wp_kses( __( 'Choose the <strong>layout</strong> for your blog posts.', 'chronicle' ), array( 'strong' => '' ) ),
				'options'  => array(
					'layout-default' => array( 'img' => $uri . 'home/layout-default.png' ),
					'layout-1'       => array( 'img' => $uri . 'home/layout-1.png' ),
					'layout-2'       => array( 'img' => $uri . 'home/layout-2.png' ),
					'layout-html'    => array( 'img' => $uri . 'home/layout-html.png' ),
				),
				'std'      => 'layout-default',
			),
			array(
				'id'         => 'mts_featured_category',
				'type'       => 'select',
				'title'      => esc_html__( 'Category', 'chronicle' ),
				'sub_desc'   => esc_html__( 'Select a category or the latest posts for this section', 'chronicle' ),
				'std'        => 'latest',
				'data'       => 'category_slug',
				'args'       => array(
					'include_latest' => 1,
					'hide_empty'     => 0,
				),
				'dependency' => array(
					'relation' => 'and',
					array(
						'field'      => 'blog_layout',
						'value'      => 'layout-html',
						'comparison' => '!=',
					),
				),
			),
			array(
				'id'         => 'mts_featured_category_postsnum',
				'type'       => 'text',
				'class'      => 'small-text',
				'title'      => esc_html__( 'Number of posts', 'chronicle' ),
				// translators: Description.
				'sub_desc'   => sprintf( wp_kses_post( __( 'Enter the number of posts to show in this section.<br/><strong>For Latest Posts</strong>, this setting will be ignored, and number set in <a href="%s" target="_blank">Settings&nbsp;&gt;&nbsp;Reading</a> will be used instead.', 'chronicle' ) ), admin_url( 'options-reading.php' ) ),
				'args'       => array( 'type' => 'number' ),
				'dependency' => array(
					'relation' => 'and',
					array(
						'field'      => 'blog_layout',
						'value'      => 'layout-html',
						'comparison' => '!=',
					),
				),
			),

			array(
				'id'         => 'mts_featured_category_excerpt',
				'type'       => 'text',
				'class'      => 'small-text',
				'title'      => esc_html__( 'Excerpt Length', 'magnus' ),
				'sub_desc'   => esc_html__( 'Max lenght is 55 Words.', 'magnus' ),
				'args'       => array( 'type' => 'number' ),
				'dependency' => array(
					'relation' => 'and',
					array(
						'field'      => 'blog_layout',
						'value'      => 'layout-html',
						'comparison' => '!=',
					),
				),
			),

		),
		'std'               => array(
			'1' => array(
				'group_title'                    => '',
				'group_sort'                     => '1',
				'mts_featured_title'             => 'Latest',
				'blog_layout'                    => 'layout-default',
				'mts_featured_category'          => 'latest',
				'mts_featured_category_postsnum' => get_option( 'posts_per_page' ),
				'mts_featured_category_excerpt'  => '15',
			),
		),

		'validate_callback' => 'validate_featured_categories',
	),

);
