<?php
/**
 * Footer Subscribe Widget
 *
 * @package Chronicle
 */

$menus['footer-subscribe'] = array(
	'icon'  => 'fa-envelope-open-o',
	'title' => esc_html__( 'Footer Subscribe', 'chronicle' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Subscribe box in footer widgets area.', 'chronicle' ),
);

$sections['footer-subscribe'] = array(
	array(
		'id'    => 'footer_subscribe_widget_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Foootr Subscribe Widget Settings', 'chronicle' ),
	),
	array(
		'id'       => 'footer_subscribe_widget_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Footer Subscribe Background', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for subscribe box from here.', 'chronicle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'footer_subscribe_widget_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set Footer Subscribe padding from here.', 'chronicle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'footer_subscribe_widget_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'chronicle' ),
		'sub_desc' => esc_html__( 'Select Footer Subscribe border', 'chronicle' ),
	),
	array(
		'id'    => 'footer_subscribe_widget_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Subscribe Title Font', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Subscribe',
			'preview-color'  => 'dark',
			'font-family'    => 'Public Sans',
			'font-weight'    => '700',
			'font-size'      => '18px',
			'line-height'    => chronicle_line_height( 18, 22 ),
			'color'          => '#ffffff',
			'margin-bottom'  => chronicle_px2rem( '36px' ),
			'additional-css' => 'text-transform: none;',
			'css-selectors'  => '#site-footer .widget #wp-subscribe .title',
		),
	),
	array(
		'id'    => 'footer_fields_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Input Fields Font', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Enter your email',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '400',
			'font-size'      => '15px',
			'color'          => '#a9abac',
			'letter-spacing' => chronicle_letter_spacing( 15, -8 ),
			'css-selectors'  => '#site-footer .widget #wp-subscribe input.email-field, #site-footer .widget #wp-subscribe input.name-field',
		),
	),
	array(
		'id'    => 'footer_subscribe_widget_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Subscribe Text Font', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Get notified of the best deals on our WordPress themes.',
			'preview-color' => 'dark',
			'font-family'   => 'Public Sans',
			'font-weight'   => '400',
			'font-size'     => '15px',
			'line-height'   => chronicle_line_height( 15, 25 ),
			'color'         => '#ffffff',
			'margin-top'    => '0',
			'margin-bottom' => '10px',
			'css-selectors' => '#site-footer .widget #wp-subscribe p.text',
		),
	),
	array(
		'id'    => 'footer_subscribe_widget_small_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Subscribe Small Text', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Submit',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '400',
			'font-size'     => '13px',
			'line-height'   => '1.7',
			'color'         => '#ffffff',
			'css-selectors' => '#site-footer .widget #wp-subscribe p.footer-text, #site-footer .widget #wp-subscribe .wps-consent-wrapper label,  #site-footer .widget #wp-subscribe .error, #site-footer .widget #wp-subscribe .thanks',
		),
	),
	array(
		'id'       => 'footer_subscribe_widget_submit_backgroud',
		'type'     => 'color',
		'title'    => esc_html__( 'Background Color', 'chronicle' ),
		'sub_desc' => esc_html__( 'Footer Subscribe Submit button background color', 'chronicle' ),
		'std'      => chronicle_get_settings( 'primary_color_scheme' ),
	),
	array(
		'id'    => 'footer_subscribe_widget_submit_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Subscribe Submit Button', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Submit',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => '15px',
			'margin-top'    => chronicle_px2rem( '15px' ),
			'color'         => '#ffffff',
			'css-selectors' => '#site-footer .widget #wp-subscribe input.submit',
		),
	),
);
