<?php
/**
 * Footer Tab
 *
 * @package Chronicle
 */

$menus['footer'] = array(
	'icon'  => 'fa-table',
	'title' => esc_html__( 'Footer', 'chronicle' ),
	'desc'  => esc_html__( 'From here, you can control the elements of footer section.', 'chronicle' ),
);

$menus['footer']['child']['footer-general'] = array(
	'title' => esc_html__( 'General', 'chronicle' ),
	'desc'  => esc_html__( 'From here, you can control the elements of footer section.', 'chronicle' ),
);

$mts_patterns = array(
	'nobg' => array( 'img' => $uri . 'bg-patterns/nobg.png' ),
);
for ( $i = 1; $i <= 29; $i++ ) {
	$mts_patterns[ 'hbg' . $i ] = array( 'img' => $uri . 'bg-patterns/hbg' . $i . '.png' );
}

$mts_top_footer = array(
	'field'      => 'mts_top_footer',
	'value'      => '1',
	'comparison' => '==',
);

$sections['footer-general'] = array(

	array(
		'id'       => 'mts_top_footer',
		'type'     => 'switch',
		'title'    => esc_html__( 'Footer', 'chronicle' ),
		'sub_desc' => esc_html__( 'Enable or disable footer with this option.', 'chronicle' ),
		'std'      => '0',
	),
	array(
		'id'         => 'mts_top_footer_num',
		'type'       => 'button_set',
		'class'      => 'green',
		'title'      => esc_html__( 'Footer Layout', 'chronicle' ),
		'sub_desc'   => wp_kses( __( 'Choose the number of widget areas in the <strong>footer</strong>', 'chronicle' ), array( 'strong' => '' ) ),
		'options'    => array(
			'2' => esc_html__( '2 Widgets', 'chronicle' ),
			'3' => esc_html__( '3 Widgets', 'chronicle' ),
			'4' => esc_html__( '4 Widgets', 'chronicle' ),
		),
		'std'        => '4',
		'dependency' => array(
			'relation' => 'and',
			$mts_top_footer,
		),
	),
	array(
		'id'    => 'mts_footer_container_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Footer Container', 'chronicle' ),
	),
	array(
		'id'       => 'mts_footer_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Footer Background', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set footer background color, pattern and image from here.', 'chronicle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#111314',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/footer-bg.jpg',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'    => 'footer_background_opacity',
		'type'  => 'color',
		'title' => esc_html__( 'Footer opacity color', 'chronicle' ),
		'args'  => array( 'opacity' => true ),
		'std'   => 'rgba(17,19,20,0.8)',
	),
	array(
		'id'       => 'mts_top_footer_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set Footer Margin from here.', 'chronicle' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => chronicle_px2rem( '65px' ),
			'bottom' => '0',
		),
	),
	array(
		'id'       => 'mts_top_footer_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set Footer Padding from here.', 'chronicle' ),
		'std'      => array(
			'top'    => chronicle_px2rem( '60px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'mts_top_footer_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set Footer Border from here.', 'chronicle' ),
	),

);
