<?php
/**
 * Sidebars Subscribe Widget
 *
 * @package Chronicle
 */

$menus['sidebars-subscribe'] = array(
	'icon'  => 'fa-envelope-open-o',
	'title' => esc_html__( 'Subscribe Widget', 'chronicle' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Subscribe box in sidebar widgets area.', 'chronicle' ),
);

$sections['sidebars-subscribe'] = array(
	array(
		'id'    => 'subscribe_widget_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Sidebar Subscribe Widget Settings', 'chronicle' ),
	),
	array(
		'id'       => 'subscribe_widget_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Sidebar Subscribe Background', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for subscribe box from here.', 'chronicle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#f3f3f3',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'subscribe_widget_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set Sidebar Subscribe box padding from here.', 'chronicle' ),
		'std'      => array(
			'top'    => chronicle_px2rem( '30px' ),
			'right'  => chronicle_px2rem( '30px' ),
			'bottom' => chronicle_px2rem( '30px' ),
			'left'   => chronicle_px2rem( '30px' ),
		),
	),
	array(
		'id'       => 'subscribe_widget_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'chronicle' ),
		'sub_desc' => esc_html__( 'Select Sidebar Subscribe border', 'chronicle' ),
	),
	array(
		'id'    => 'subscribe_widget_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Subscribe Title Font', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Get Stories Delivered to Your Inbox',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '700',
			'font-size'      => '28px',
			'line-height'    => chronicle_line_height( 28, 30 ),
			'color'          => '#111314',
			'letter-spacing' => chronicle_letter_spacing( 28, 16 ),
			'margin-bottom'  => chronicle_px2rem( '38px' ),
			'additional-css' => 'text-transform: none;',
			'css-selectors'  => '.widget #wp-subscribe .title',
		),
	),
	array(
		'id'    => 'sidebar_fields_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Subscribe Input Fields', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Enter your email',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '400',
			'font-size'      => '15px',
			'color'          => '#979798',
			'letter-spacing' => chronicle_letter_spacing( 15, -8 ),
			'css-selectors'  => '.widget #wp-subscribe input.email-field, .widget #wp-subscribe input.name-field',
		),
	),
	array(
		'id'    => 'subscribe_widget_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Subscribe Text', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Get notified of the best deals on our WordPress themes.',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '400',
			'font-size'      => '14px',
			'line-height'    => '1.6',
			'color'          => '#979798',
			'letter-spacing' => chronicle_letter_spacing( 15, -8 ),
			'margin-top'     => chronicle_px2rem( '-20px' ),
			'margin-bottom'  => chronicle_px2rem( '25px' ),
			'css-selectors'  => '.widget #wp-subscribe p.text',
		),
	),
	array(
		'id'    => 'subscribe_widget_small_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Subscribe Small Text', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Subscribe to Newsletter',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '700',
			'font-size'      => '13px',
			'color'          => '#5a5b5b',
			'letter-spacing' => chronicle_letter_spacing( 13, 16 ),
			'css-selectors'  => '.widget #wp-subscribe p.footer-text, .widget #wp-subscribe .wps-consent-wrapper label, .widget #wp-subscribe .error, .widget #wp-subscribe .thanks',
		),
	),
	array(
		'id'       => 'subscribe_widget_submit_backgroud',
		'type'     => 'color',
		'title'    => esc_html__( 'Background Color', 'chronicle' ),
		'sub_desc' => esc_html__( 'Submit button background color', 'chronicle' ),
		'std'      => chronicle_get_settings( 'primary_color_scheme' ),
	),
	array(
		'id'    => 'subscribe_widget_submit_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Subscribe Submit Button', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Submit',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => '15px',
			'margin-top'    => chronicle_px2rem( '20px' ),
			'color'         => '#ffffff',
			'css-selectors' => '.widget #wp-subscribe input.submit',
		),
	),
);
