<?php
/**
 * Single AuthorBox
 *
 * @package Chronicle
 */

$menus['single-authorbox'] = array(
	'icon'  => 'fa-pencil',
	'title' => esc_html__( 'Author Box', 'chronicle' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Author box in single posts page.', 'chronicle' ),
);

$authorbox_social_share = array(
	'relation' => 'and',
	array(
		'field'      => 'authorbox_social_share',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['single-authorbox'] = array(

	array(
		'id'    => 'authorbox_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author box Settings', 'chronicle' ),
	),
	array(
		'id'       => 'authorbox_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Author box Background', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for subscribe box from here.', 'chronicle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'author_box_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Author Box Title', 'chronicle' ),
		'sub_desc' => esc_html__( 'Enter author box title.', 'chronicle' ),
		'std'      => '',
	),
	array(
		'id'       => 'authorbox_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set Author box margin from here.', 'chronicle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => chronicle_px2rem( '65px' ),
			'left'   => '0',
		),
	),
	array(
		'id'       => 'authorbox_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set Author box padding from here.', 'chronicle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'authorbox_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'chronicle' ),
		'sub_desc' => esc_html__( 'Select border', 'chronicle' ),
	),
	array(
		'id'       => 'authorbox_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'chronicle' ),
		'sub_desc' => esc_html__( 'Author box border radius.', 'chronicle' ),
		'std'      => '0',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'    => 'authorbox_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Box Title Font', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Author Box Title Font',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '900',
			'font-size'     => '24px',
			'line-height'   => chronicle_line_height( 24, 32 ),
			'color'         => '#1a282f',
			'margin-bottom' => chronicle_px2rem( '30px' ),
			'css-selectors' => '.postauthor h4',
		),
	),
	array(
		'id'    => 'authorbox_author_name_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Box Name Font', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Author Box Name Font',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '700',
			'font-size'      => '20px',
			'line-height'    => '1.2',
			'color'          => '#111314',
			'margin-bottom'  => chronicle_px2rem( '6px' ),
			'letter-spacing' => chronicle_letter_spacing( 20, -8 ),
			'additional-css' => 'text-transform: capitalize;',
			'css-selectors'  => '.postauthor h5, .postauthor h5 a',
		),
	),
	array(
		'id'    => 'authorbox_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Box Text Font', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Author Box Text Font',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'line-height'   => chronicle_line_height( 16, 30 ),
			'color'         => '#58595a',
			'margin-top'    => chronicle_px2rem( '5px' ),
			'css-selectors' => '.postauthor p',
		),
	),

	array(
		'id'    => 'author_img_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author Image Settings', 'chronicle' ),
	),
	array(
		'id'       => 'author_box_image',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Author Image', 'chronicle' ),
		'sub_desc' => esc_html__( 'Use this button to show/hide author image.', 'chronicle' ),
		'std'      => '1',
	),
	array(
		'id'       => 'single_author_image_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set Author image margin from here.', 'chronicle' ),
		'std'      => array(
			'top'    => '',
			'right'  => chronicle_px2rem( '30px' ),
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_author_image_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'chronicle' ),
		'sub_desc' => esc_html__( 'Author image border radius.', 'chronicle' ),
		'std'      => '60',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'    => 'single_authorbox_social_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author box Social Settings', 'chronicle' ),
	),

	array(
		'id'       => 'authorbox_social_share',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Author Social Share', 'chronicle' ),
		'sub_desc' => esc_html__( 'Enable/Disable author social share in the authorbox.', 'chronicle' ),
		'std'      => '1',
	),
	array(
		'id'         => 'author_social_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Margin', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Set author social share margin from here.', 'chronicle' ),
		'std'        => array(
			'top'    => '5px',
			'right'  => '22px',
			'bottom' => '10px',
			'left'   => '0',
		),
		'dependency' => $authorbox_social_share,
	),
	array(
		'id'         => 'author_social_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Set author social share padding from here.', 'chronicle' ),
		'std'        => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
		'dependency' => $authorbox_social_share,
	),
	array(
		'id'         => 'author_social_background',
		'type'       => 'color',
		'title'      => esc_html__( 'Social Background Color', 'chronicle' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'chronicle' ),
		'dependency' => $authorbox_social_share,
	),
	array(
		'id'         => 'author_social_hover_background',
		'type'       => 'color',
		'title'      => esc_html__( 'Social Background Hover Color', 'chronicle' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'chronicle' ),
		'dependency' => $authorbox_social_share,
	),
	array(
		'id'         => 'author_social_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Social Color', 'chronicle' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'chronicle' ),
		'std'        => '#a0a1a1',
		'dependency' => $authorbox_social_share,
	),
	array(
		'id'         => 'author_social_hover_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Social Hover Color', 'chronicle' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'chronicle' ),
		'std'        => chronicle_get_settings( 'primary_color_scheme' ),
		'dependency' => $authorbox_social_share,
	),
	array(
		'id'         => 'author_social_border_radius',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Social border radius', 'chronicle' ),
		'std'        => '0',
		'args'       => array( 'type' => 'number' ),
		'dependency' => $authorbox_social_share,
	),
);
