<?php
/**
 * Single Beadcrumb
 *
 * @package Chronicle
 */

$menus['single-breadcrumb'] = array(
	'icon'  => 'fa-bar-chart',
	'title' => esc_html__( 'Breadcrumb', 'chronicle' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of beadcrumb in single posts & pages.', 'chronicle' ),
);

$show_breadcrumb = array(
	'relation' => 'and',
	array(
		'field'      => 'show_breadcrumb',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['single-breadcrumb'] = array(

	array(
		'id'       => 'show_breadcrumb',
		'type'     => 'switch',
		'title'    => esc_html__( 'Breadcrumbs', 'chronicle' ),
		'sub_desc' => esc_html__( 'Breadcrumbs are a great way to make your site more user-friendly. You can enable them by enabling this box.', 'chronicle' ),
		'std'      => '0',
	),

	array(
		'id'         => 'breadcrumb_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Breadcrumbs Font', 'chronicle' ),
		'std'        => array(
			'preview-text'  => 'Breadcrumbs Font',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'line-height'   => chronicle_line_height( 16, 30 ),
			'color'         => '#1a282f',
			'css-selectors' => '.breadcrumb, .breadcrumb a, .rank-math-breadcrumb, .rank-math-breadcrumb a',
		),
		'dependency' => $show_breadcrumb,
	),

	array(
		'id'         => 'breadcrumb_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Breadcrumb Container', 'chronicle' ),
		'dependency' => $show_breadcrumb,
	),

	array(
		'id'         => 'breadcrumb_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Beadcrumb Background', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'chronicle' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $show_breadcrumb,
	),

	array(
		'id'         => 'breadcrumb_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Margin', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Set related posts margin from here.', 'chronicle' ),
		'std'        => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
		'dependency' => $show_breadcrumb,
	),
	array(
		'id'         => 'breadcrumb_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Set related posts padding from here.', 'chronicle' ),
		'std'        => array(
			'top'    => chronicle_px2rem( '32px' ),
			'right'  => '0',
			'bottom' => chronicle_px2rem( '32px' ),
			'left'   => '0',
		),
		'dependency' => $show_breadcrumb,
	),

	array(
		'id'         => 'breadcrumb_border',
		'type'       => 'border',
		'title'      => esc_html__( 'Border', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Select border', 'chronicle' ),
		'dependency' => $show_breadcrumb,
	),

);
