<?php
/**
 * Single Comments
 *
 * @package Chronicle
 */

$menus['single-comments'] = array(
	'icon'  => 'fa-comment-o',
	'title' => esc_html__( 'Comments Section', 'chronicle' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Comments box in single posts page.', 'chronicle' ),
);

$author_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'author_comment',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['single-comments'] = array(

	array(
		'id'    => 'comments_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'General Settings', 'chronicle' ),
	),

	array(
		'id'       => 'mts_comment_date',
		'type'     => 'switch',
		'title'    => esc_html__( 'Date in Comments', 'chronicle' ),
		'sub_desc' => esc_html__( 'Use this button to show the date for comments.', 'chronicle' ),
		'std'      => '1',
	),
	array(
		'id'    => 'comments_author_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author Comments Settings', 'chronicle' ),
	),

	array(
		'id'       => 'author_comment',
		'type'     => 'switch',
		'title'    => esc_html__( 'Highlight Author Comment', 'chronicle' ),
		'sub_desc' => esc_html__( 'Use this button to highlight author comments.', 'chronicle' ),
		'std'      => '1',
	),
	array(
		'id'         => 'author_comment_bg',
		'type'       => 'color',
		'title'      => esc_html__( 'Author Comment Background', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Use this option to change background color.', 'chronicle' ),
		'std'        => '#ffffff',
		'dependency' => $author_dependency,
	),
	array(
		'id'    => 'comments_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Comments Typography Settings', 'chronicle' ),
	),

	array(
		'id'    => 'comments_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Title Font', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Author Name',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '700',
			'font-size'      => '15px',
			'color'          => '#3d3636',
			'letter-spacing' => chronicle_letter_spacing( 15, -8 ),
			'additional-css' => 'text-transform: capitalize;',
			'css-selectors'  => '#comments .fn, #comments .fn a',
		),
	),
	array(
		'id'    => 'comments_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Meta Info Font', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'June 20',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '700',
			'font-size'      => '15px',
			'color'          => '#afadad',
			'letter-spacing' => chronicle_letter_spacing( 15, -8 ),
			'css-selectors'  => '#comments .ago',
		),
	),
	array(
		'id'    => 'comments_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Text Font', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Comments Text',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '400',
			'font-size'     => '15px',
			'line-height'   => chronicle_line_height( 15, 25 ),
			'color'         => '#777272',
			'css-selectors' => '.commentmetadata .commenttext p',
		),
	),
	array(
		'id'    => 'reply_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Reply Font', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Reply Font',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '700',
			'font-size'      => '12px',
			'color'          => '#111314',
			'letter-spacing' => chronicle_letter_spacing( 12, 167 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.reply, .reply a',
		),
	),
);
