<?php
/**
 * Single Related Posts
 *
 * @package Chronicle
 */

$menus['single-related'] = array(
	'icon'  => 'fa-sitemap',
	'title' => esc_html__( 'Related Posts', 'chronicle' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of related posts in single posts page.', 'chronicle' ),
);

$sections['single-related'] = array(

	array(
		'id'       => 'related_post_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Related Posts Title', 'chronicle' ),
		'sub_desc' => esc_html__( 'Enter the title text to show in the related posts section.', 'chronicle' ),
		'std'      => 'Related Posts',
	),

	array(
		'id'       => 'related_posts_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Related Posts Background', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'chronicle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'related_posts_layouts',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Related Posts Layouts', 'chronicle' ),
		'sub_desc' => esc_html__( 'Choose the Related Posts layouts for your site.', 'chronicle' ),
		'options'  => array(
			'default'  => array( 'img' => $uri . 'related/r1.jpg' ),
			'related2' => array( 'img' => $uri . 'related/r2.jpg' ),
			'related3' => array( 'img' => $uri . 'related/r3.jpg' ),
			'related5' => array( 'img' => $uri . 'related/r5.jpg' ),
			'related6' => array( 'img' => $uri . 'related/r6.jpg' ),
		),
		'std'      => 'default',
	),

	array(
		'id'         => 'related_posts_grid',
		'type'       => 'select',
		'class'      => 'small',
		'title'      => esc_html__( 'Grid', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Select the number of grid for Related Posts.', 'chronicle' ),
		'options'    => array(
			'grid2' => esc_html__( '2', 'chronicle' ),
			'grid3' => esc_html__( '3', 'chronicle' ),
			'grid4' => esc_html__( '4', 'chronicle' ),
		),
		'std'        => 'grid3',
		'dependency' => array(
			'relation' => 'or',
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'default',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'       => 'mts_related_postsnum',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Number of related posts', 'chronicle' ),
		'sub_desc' => esc_html__( 'Enter the number of posts to show in the related posts section.', 'chronicle' ),
		'std'      => '3',
		'args'     => array(
			'type' => 'number',
		),
	),

	array(
		'id'         => 'related_excerpt',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Excerpt Length', 'magnus' ),
		'sub_desc'   => esc_html__( 'Max lenght is 55 Words.', 'magnus' ),
		'args'       => array( 'type' => 'number' ),
		'std'        => '18',
		'dependency' => array(
			'relation' => 'or',
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'related2',
				'comparison' => '==',
			),
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'related5',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'related_posts_adcode',
		'type'       => 'ace_editor',
		'mode'       => 'html',
		'title'      => esc_html__( 'Related Posts Ad', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Paste your Adsense, BSA or other ad code here to show ads in Related Posts Area.', 'chronicle' ),
		'dependency' => array(
			'relation' => 'or',
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'related5',
				'comparison' => '==',
			),
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'related6',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'       => 'related_posts_position',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Related Posts Position', 'chronicle' ),
		'sub_desc' => esc_html__( 'Choose the position for related posts, below content will be Full width', 'chronicle' ),
		'options'  => array(
			'default' => esc_html__( 'Default', 'chronicle' ),
			'full'    => esc_html__( 'Below Content', 'chronicle' ),
		),
		'std'      => 'default',
	),

	array(
		'id'       => 'mts_related_headline_meta_info',
		'type'     => 'layout2',
		// translators: title.
		'title'    => esc_html__( 'Related Posts Meta Info', 'chronicle' ),
		// translators: description.
		'sub_desc' => esc_html__( 'Organize how you want the post meta info to appear on Related Posts', 'chronicle' ),
		'options'  => array(
			'enabled'  => array(
				'category' => array(
					'label'     => esc_html__( 'Categories', 'chronicle' ),
					'subfields' => array(
						array(
							'id'    => 'mts_related_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'chronicle' ),
						),
					),
				),
				'date'     => array(
					'label'     => esc_html__( 'Date', 'chronicle' ),
					'subfields' => array(
						array(
							'id'    => 'mts_related_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'chronicle' ),
						),
					),
				),
			),
			'disabled' => array(
				'author'  => array(
					'label'     => esc_html__( 'Author Name', 'chronicle' ),
					'subfields' => array(
						array(
							'id'    => 'mts_related_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'chronicle' ),
						),
					),
				),
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'chronicle' ),
					'subfields' => array(
						array(
							'id'    => 'mts_related_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'chronicle' ),
						),
					),
				),
			),
		),
		'std'      => array(
			'enabled'  => array(
				'category' => array(
					'label'     => esc_html__( 'Categories', 'chronicle' ),
					'subfields' => array(
						array(
							'id'    => 'mts_related_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'chronicle' ),
						),
					),
				),
				'date'     => array(
					'label'     => esc_html__( 'Date', 'chronicle' ),
					'subfields' => array(
						array(
							'id'    => 'mts_related_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'chronicle' ),
						),
					),
				),
			),
			'disabled' => array(
				'author'  => array(
					'label'     => esc_html__( 'Author Name', 'chronicle' ),
					'subfields' => array(
						array(
							'id'    => 'mts_related_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'chronicle' ),
						),
					),
				),
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'chronicle' ),
					'subfields' => array(
						array(
							'id'    => 'mts_related_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'chronicle' ),
						),
					),
				),
			),
		),
	),

	array(
		'id'       => 'related_posts_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set related posts margin from here.', 'chronicle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => chronicle_px2rem( '60px' ),
			'left'   => '0',
		),
	),
	array(
		'id'       => 'related_posts_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set related posts padding from here.', 'chronicle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'related_posts_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'chronicle' ),
		'sub_desc' => esc_html__( 'Select border', 'chronicle' ),
	),

	array(
		'id'    => 'related_posts_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Related Posts Title', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Related Posts Title',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => '16px',
			'line-height'   => chronicle_line_height( 16, 24 ),
			'margin-bottom' => chronicle_px2rem( '7px' ),
			'color'         => '#1a282f',
			'css-selectors' => '.related-posts .latestPost .title a',
		),
	),
	array(
		'id'    => 'related_posts_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Related Posts Meta Info', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Related Posts Meta Info Font',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '400',
			'font-size'      => '11px',
			'color'          => '#1a282f',
			'line-height'    => '1.2',
			'letter-spacing' => chronicle_letter_spacing( 11, 182 ),
			'margin-bottom'  => '-5px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.related-posts .post-info',
		),
	),
	array(
		'id'         => 'related_posts_text_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Related Posts Text', 'chronicle' ),
		'std'        => array(
			'preview-text'  => 'Related Posts Text',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => chronicle_line_height( 14, 24 ),
			'color'         => '#1a282f',
			'margin-top'    => chronicle_px2rem( '2px' ),
			'css-selectors' => '.related-posts .front-view-content',
		),
		'dependency' => array(
			'relation' => 'or',
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'related1',
				'comparison' => '==',
			),
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'related2',
				'comparison' => '==',
			),
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'related5',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'    => 'related_posts_article_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Related Posts Articles', 'chronicle' ),
	),

	array(
		'id'       => 'related_article_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Related Posts Background', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'chronicle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'related_article_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Articles Padding', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set related posts articles padding from here.', 'chronicle' ),
		'std'      => array(
			'top'    => chronicle_px2rem( '32px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

);
