<?php
/**
 * Single Styling
 *
 * @package Chronicle
 */

$menus['single-styling'] = array(
	'icon'  => 'fa-paint-brush',
	'title' => esc_html__( 'Single Styling', 'chronicle' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your single posts page.', 'chronicle' ),
);

$sections['single-styling'] = array(
	array(
		'id'    => 'mts_single_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Single Styling', 'chronicle' ),
	),
	array(
		'id'       => 'single_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Background', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image of Single, Page, Archive, Search, Category and 404 Page from here.', 'chronicle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'mts_single_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Margin', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set single post margin from here.', 'chronicle' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '0',
			'bottom' => chronicle_px2rem( '32px' ),
		),
	),
	array(
		'id'       => 'mts_single_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Padding', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set single post padding from here.', 'chronicle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_styling_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'chronicle' ),
		'sub_desc' => esc_html__( 'Select border', 'chronicle' ),
	),
	array(
		'id'    => 'single_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Post Title', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Single Post Title',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => chronicle_px2rem( '40px' ),
			'line-height'   => '1.1',
			'margin-top'    => chronicle_px2rem( '18px' ),
			'margin-bottom' => '5px',
			'color'         => '#1a282f',
			'css-selectors' => '.single-title',
		),
	),
	array(
		'id'    => 'mts_single_meta_info_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Meta Info Font', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Post Meta Info Font',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '400',
			'font-size'      => '11px',
			'color'          => '#1a282f',
			'line-height'    => '1.2',
			'letter-spacing' => chronicle_letter_spacing( 11, 182 ),
			'margin-bottom'  => '-5px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.single_post .post-info, .single-full-header .post-info',
		),
	),
	array(
		'id'    => 'single_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Single Titles Styling', 'chronicle' ),
	),
	array(
		'id'       => 'single_title_alignment',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Single Page Title Alignment', 'chronicle' ),
		'sub_desc' => esc_html__( 'Choose the single page title alignment', 'chronicle' ),
		'options'  => array(
			'left'   => esc_html__( 'Left', 'chronicle' ),
			'center' => esc_html__( 'Center', 'chronicle' ),
			'right'  => esc_html__( 'Right', 'chronicle' ),
		),
		'std'      => 'left',
	),
	array(
		'id'       => 'single_title_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Single Page Title Background Color', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'chronicle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'single_title_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Page Title Padding', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set single page title padding from here.', 'chronicle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_title_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'chronicle' ),
		'sub_desc' => esc_html__( 'Select border', 'chronicle' ),
	),
	array(
		'id'       => 'single_page_titles_font',
		'type'     => 'typography',
		'title'    => esc_html__( 'Single Sections Title', 'chronicle' ),
		'sub_desc' => esc_html__( 'Manage Title typography of Related Posts, Comments and Reply from here.', 'chronicle' ),
		'std'      => array(
			'preview-text'  => 'Title Font',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '900',
			'font-size'     => '24px',
			'line-height'   => chronicle_line_height( 24, 32 ),
			'color'         => '#1a282f',
			'margin-bottom' => chronicle_px2rem( '32px' ),
			'css-selectors' => '.related-posts h4, #respond h3, #respond h4, .total-comments',
		),
	),
);
