<?php
/**
 * Single Subscribe
 *
 * @package Chronicle
 */

$menus['single-subscribe'] = array(
	'icon'  => 'fa-envelope-open-o',
	'title' => esc_html__( 'Subscribe Box', 'chronicle' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Subscribe box in single posts page.', 'chronicle' ),
);

$sections['single-subscribe'] = array(

	array(
		'id'    => 'single_subscribe_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Settings', 'chronicle' ),
	),
	array(
		'id'       => 'single_subscribe_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Subscribe box Background', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for subscribe box from here.', 'chronicle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#f3f3f3',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'single_subscribe_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set Subscribe box margin from here.', 'chronicle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => chronicle_px2rem( '68px' ),
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_subscribe_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set Subscribe box padding from here.', 'chronicle' ),
		'std'      => array(
			'top'    => chronicle_px2rem( '36px' ),
			'right'  => chronicle_px2rem( '36px' ),
			'bottom' => chronicle_px2rem( '36px' ),
			'left'   => chronicle_px2rem( '36px' ),
		),
	),
	array(
		'id'       => 'single_subscribe_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'chronicle' ),
		'sub_desc' => esc_html__( 'Select border', 'chronicle' ),
	),
	array(
		'id'       => 'single_subscribe_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'chronicle' ),
		'sub_desc' => esc_html__( 'Subscribe box border radius.', 'chronicle' ),
		'std'      => '0',
		'args'     => array( 'type' => 'number' ),
	),

	array(
		'id'    => 'single_subscribe_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Title Settings', 'chronicle' ),
	),
	array(
		'id'    => 'single_subscribe_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Title Font', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Get Stories Delivered to Your Inbox',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '700',
			'font-size'      => '28px',
			'line-height'    => chronicle_line_height( 28, 30 ),
			'color'          => '#111314',
			'letter-spacing' => chronicle_letter_spacing( 28, 16 ),
			'margin-bottom'  => chronicle_px2rem( '38px' ),
			'additional-css' => 'text-transform: none;',
			'css-selectors'  => '.single-subscribe .widget #wp-subscribe .title',
		),
	),
	array(
		'id'    => 'single_subscribe_text_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Text Settings', 'chronicle' ),
	),
	array(
		'id'    => 'single_subscribe_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Text Font', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Get notified of the best deals on our WordPress themes.',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '400',
			'font-size'      => '15px',
			'line-height'    => '1.6',
			'color'          => '#979798',
			'letter-spacing' => chronicle_letter_spacing( 15, -8 ),
			'margin-top'     => chronicle_px2rem( '-20px' ),
			'margin-bottom'  => chronicle_px2rem( '25px' ),
			'css-selectors'  => '.single-subscribe .widget #wp-subscribe p.text',
		),
	),
	array(
		'id'    => 'single_subscribe_input_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Input Settings', 'chronicle' ),
	),
	array(
		'id'       => 'single_subscribe_input_height',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Height', 'chronicle' ),
		'sub_desc' => esc_html__( 'Subscribe box input fields height.', 'chronicle' ),
		'std'      => '48',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'       => 'single_subscribe_input_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'chronicle' ),
		'sub_desc' => esc_html__( 'Subscribe box input fields border radius.', 'chronicle' ),
		'std'      => '3',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'       => 'single_subscribe_input_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'chronicle' ),
		'sub_desc' => esc_html__( 'Select border', 'chronicle' ),
	),
	array(
		'id'    => 'single_subscribe_input_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Input Fields Font', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Enter your email',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '400',
			'font-size'      => '15px',
			'color'          => '#979798',
			'letter-spacing' => chronicle_letter_spacing( 15, -8 ),
			'css-selectors'  => '.single-subscribe .widget #wp-subscribe input.email-field, .single-subscribe .widget #wp-subscribe input.name-field',
		),
	),
	array(
		'id'    => 'single_subscribe_submit_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Submit Settings', 'chronicle' ),
	),
	array(
		'id'       => 'single_subscribe_submit_backgroud',
		'type'     => 'color',
		'title'    => esc_html__( 'Background Color', 'chronicle' ),
		'sub_desc' => esc_html__( 'Submit button background color', 'chronicle' ),
		'std'      => chronicle_get_settings( 'primary_color_scheme' ),
	),
	array(
		'id'       => 'single_subscribe_submit_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'chronicle' ),
		'sub_desc' => esc_html__( 'Subscribe box submit button border radius.', 'chronicle' ),
		'std'      => '0',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'       => 'single_subscribe_submit_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'chronicle' ),
		'sub_desc' => esc_html__( 'Select border', 'chronicle' ),
	),
	array(
		'id'       => 'single_subscribe_submit_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set subscribe submit button padding from here.', 'chronicle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'    => 'single_subscribe_submit_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Submit Button Font', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Submit',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => '15px',
			'margin-top'    => chronicle_px2rem( '20px' ),
			'color'         => '#ffffff',
			'css-selectors' => '.single-subscribe .widget #wp-subscribe input.submit',
		),
	),
	array(
		'id'    => 'single_subscribe_small_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box small text Settings', 'chronicle' ),
	),
	array(
		'id'    => 'single_subscribe_small_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Small Text Font', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Subscribe Small Text',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'color'          => '#5a5b5b',
			'letter-spacing' => chronicle_letter_spacing( 13, 16 ),
			'css-selectors'  => '.single-subscribe .widget .wp-subscribe-wrap p.footer-text, .single-subscribe .widget .wp-subscribe .wps-consent-wrapper label, .single-subscribe .widget .wp-subscribe-wrap .error, .single-subscribe .widget .wp-subscribe-wrap .thanks',
		),
	),
);
