<?php
/**
 * Single Tags
 *
 * @package Chronicle
 */

$menus['single-tags'] = array(
	'icon'  => 'fa-tags',
	'title' => esc_html__( 'Tags', 'chronicle' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Tags.', 'chronicle' ),
);

$sections['single-tags'] = array(

	array(
		'id'    => 'tags_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Tags Font', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Tags Font',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => '15px',
			'line-height'   => '1.6',
			'color'         => '#111314',
			'css-selectors' => '.tags a',
		),
	),

	array(
		'id'    => 'tags_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Tags Container', 'chronicle' ),
	),

	array(
		'id'       => 'tags_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Tags Background', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'chronicle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'tags_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set Tags margin from here.', 'chronicle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => chronicle_px2rem( '50px' ),
			'left'   => '0',
		),
	),
	array(
		'id'       => 'tags_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'chronicle' ),
		'sub_desc' => esc_html__( 'Set Tags padding from here.', 'chronicle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'tags_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'chronicle' ),
		'sub_desc' => esc_html__( 'Select border', 'chronicle' ),
	),

);
