<?php
/**
 * Social Styling
 *
 * @package Chronicle
 */

$menus['social']['child']['social-styling'] = array(
	'title' => esc_html__( 'Styling', 'chronicle' ),
	'desc'  => esc_html__( 'From here, you can control the elements of social sharing buttons styling.', 'chronicle' ),
);

// Dependency check that Floating Social Share is enabled.
$mts_social_button_position = array(
	'relation' => 'and',
	array(
		'field'      => 'mts_social_button_position',
		'value'      => 'floating',
		'comparison' => '==',
	),
);

$sections['social-styling'] = array(

	array(
		'id'         => 'social_styling_info',
		'type'       => 'info',
		'desc'       => esc_html__( 'No Styling options available for this Social Button layout.', 'chronicle' ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'mts_social_button_position',
				'value'      => 'floating',
				'comparison' => '!=',
			),
		),
	),

	array(
		'id'         => 'social_styling_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Floating Social Share Styling', 'chronicle' ),
		'dependency' => $mts_social_button_position,
	),

	array(
		'id'         => 'social_styling_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Social Share Margin', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Set social share buttons margin from here.', 'chronicle' ),
		'std'        => array(
			'top'    => '5px',
			'right'  => '0',
			'bottom' => '5px',
			'left'   => chronicle_px2rem( '30px' ),
		),
		'dependency' => $mts_social_button_position,
	),

	array(
		'id'         => 'social_floating_button_position',
		'type'       => 'margin',
		'title'      => esc_html__( 'Social Share Position', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Set social share button position from here.', 'chronicle' ),
		'std'        => array(
			'top'    => chronicle_px2rem( '256px' ),
			'right'  => 'auto',
			'bottom' => 'auto',
			'left'   => '0px',
		),
		'dependency' => $mts_social_button_position,
	),
	array(
		'id'         => 'social_styling_border',
		'type'       => 'border',
		'title'      => esc_html__( 'Border', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Select border', 'chronicle' ),
		'dependency' => $mts_social_button_position,
	),
	array(
		'id'         => 'social_styling_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Social Share Background', 'chronicle' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'chronicle' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $mts_social_button_position,
	),

);
