<?php
/**
 * Typography tab
 *
 * @package Chronicle
 */

$menus['typography-collection'] = array(
	'icon'       => 'fa-text-width',
	'title'      => esc_html__( 'Typography', 'chronicle' ),
	'hide_title' => true,
);

$sections['typography-collection'] = array(

	array(
		'id'    => 'typography-collections',
		'type'  => 'typography_collections',
		'title' => esc_html__( 'Theme Typography', 'chronicle' ),
		'desc'  => esc_html__( 'From here, you can control the fonts used on your site. You can choose from 17 standard font sets, or from the Google Fonts Library containing 800+ fonts.', 'chronicle' ),
	),

	array(
		'id'    => 'chronicle_logo',
		'type'  => 'typography',
		'title' => esc_html__( 'Logo Font', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Chronicle',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => '30px',
			'color'         => '#1a282f',
			'css-selectors' => '#logo a, .logo',
		),
	),

	array(
		'id'    => 'primary_navigation_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Navigation', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Navigation Font',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '400',
			'font-size'      => '14px',
			'color'          => '#1a282f',
			'letter-spacing' => chronicle_letter_spacing( 14, 71 ),
			'additional-css' => 'text-transform: lowercase;',
			'css-selectors'  => '#primary-navigation a, .header-search-icon',
		),
	),

	array(
		'id'    => 'content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Content Font',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'line-height'   => chronicle_line_height( 16, 30 ),
			'color'         => '#1a282f',
			'css-selectors' => 'body',
		),
	),

	array(
		'id'    => 'pages_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Pages Title Font', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Pages Title Font',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => chronicle_px2rem( '36px' ),
			'line-height'   => '1.2',
			'color'         => '#1a282f',
			'css-selectors' => 'h1.entry-title, .page-title',
		),
	),

	array(
		'id'    => 'sidebar_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Widget Title', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '700',
			'font-size'      => '16px',
			'line-height'    => '1.2',
			'color'          => '#111314',
			'letter-spacing' => chronicle_letter_spacing( 16, 111 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#sidebar .widget h3.widget-title, .widget #wp-subscribe .title',
		),
	),

	array(
		'id'    => 'sidebar_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Font', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Sidebar Font',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '400',
			'font-size'     => '15px',
			'line-height'   => chronicle_line_height( 15, 28 ),
			'color'         => '#1a282f',
			'css-selectors' => '#sidebar .widget, #sidebar .widget .post-excerpt',
		),
	),

	array(
		'id'    => 'sidebar_links_widgets',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Links Widgets', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Sidebar Links Widgets',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '400',
			'font-size'     => '15px',
			'line-height'   => chronicle_line_height( 15, 25 ),
			'color'         => '#111314',
			'css-selectors' => '#sidebar .widget.widget_archive a, #sidebar .widget.widget_categories a, #sidebar .widget.widget_pages a, #sidebar .widget.widget_meta a, #sidebar .widget.widget_nav_menu a',
		),
	),

	array(
		'id'    => 'sidebar_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Posts Title', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Sidebar Posts Titles',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => '16px',
			'line-height'   => chronicle_line_height( 16, 22 ),
			'color'         => '#1a282f',
			'css-selectors' => '.sidebar .post-title a, .sidebar .entry-title a, .sidebar .wpt_comment_meta a',
		),
	),

	array(
		'id'    => 'sidebar_large_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Large Posts Title', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Sidebar Large Posts Titles',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => '18px',
			'line-height'   => chronicle_line_height( 18, 26 ),
			'color'         => '#1a282f',
			'css-selectors' => '.sidebar li.vertical-small .post-title a, .sidebar .widget .wpt_thumb_large + .entry-title a, .sidebar .widget .wpt_thumb_large + .wpt_comment_meta a, .sidebar .widget .review_thumb_large .entry-title a',
		),
	),

	array(
		'id'    => 'sidebar_postinfo_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Meta font', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Meta Font',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '400',
			'font-size'      => '11px',
			'color'          => '#1a282f',
			'line-height'    => '1.8',
			'letter-spacing' => chronicle_letter_spacing( 11, 182 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.sidebar .widget .post-info, .sidebar .widget .post-info a, .sidebar .widget .wpt_widget_content .wpt-postmeta, .sidebar .wp_review_tab_widget_content .wp-review-tab-postmeta',
		),
	),

	array(
		'id'    => 'top_footer_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Widget Title', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Footer Title Font',
			'preview-color' => 'dark',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => '18px',
			'margin-bottom' => chronicle_px2rem( '36px' ),
			'line-height'   => chronicle_line_height( 18, 22 ),
			'color'         => '#ffffff',
			'css-selectors' => '.footer-widgets h3, #site-footer .widget #wp-subscribe .title',
		),
	),

	array(
		'id'    => 'top_footer_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer font', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Footer Font',
			'preview-color' => 'dark',
			'font-family'   => 'Public Sans',
			'font-weight'   => '400',
			'font-size'     => '15px',
			'line-height'   => chronicle_line_height( 15, 25 ),
			'color'         => '#ffffff',
			'css-selectors' => '.footer-widgets, footer .widget .wpt_excerpt, footer .advanced-recent-posts p, footer .popular-posts p, footer .category-posts p',
		),
	),

	array(
		'id'    => 'footer_links_widgets',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Links Widgets', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Footer Links Widgets',
			'preview-color' => 'dark',
			'font-family'   => 'Public Sans',
			'font-weight'   => '400',
			'font-size'     => '15px',
			'line-height'   => chronicle_line_height( 15, 25 ),
			'color'         => '#ffffff',
			'css-selectors' => '#site-footer .widget.widget_archive a, #site-footer .widget.widget_categories a, #site-footer .widget.widget_pages a, #site-footer .widget.widget_tag_cloud a, #site-footer .widget.widget_meta a, #site-footer .widget.widget_nav_menu a, #site-footer .total-posts-number',
		),
	),

	array(
		'id'    => 'top_footer_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Post Title', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Footer Posts Title',
			'preview-color' => 'dark',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => '15px',
			'line-height'   => chronicle_line_height( 15, 22 ),
			'color'         => '#ffffff',
			'css-selectors' => '#site-footer .post-title a, #site-footer .entry-title a',
		),
	),

	array(
		'id'    => 'footer_large_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Large Posts Title', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Footer Large Posts Titles',
			'preview-color' => 'dark',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => '18px',
			'line-height'   => chronicle_line_height( 18, 26 ),
			'color'         => '#ffffff',
			'css-selectors' => '#site-footer li.vertical-small .post-title a, #site-footer .widget .wpt_thumb_large + .entry-title a, #site-footer .widget .review_thumb_large .entry-title a, #site-footer .widget .wpt_thumb_large + .wpt_comment_meta a',
		),
	),

	array(
		'id'    => 'top_footer_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Meta font', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Footer Meta Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Public Sans',
			'font-weight'    => '700',
			'font-size'      => '11px',
			'color'          => '#888c8d',
			'line-height'    => '1.8',
			'letter-spacing' => chronicle_letter_spacing( 11, 182 ),
			'margin-bottom'  => '-4px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => 'footer .widget .post-info, footer .widget .post-info a, footer .widget .wpt_widget_content .wpt-postmeta, footer .wp_review_tab_widget_content .wp-review-tab-postmeta',
		),
	),

	array(
		'id'    => 'copyrights_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Copyrights Section', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Copyrights Font',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '400',
			'font-size'      => '15px',
			'line-height'    => chronicle_line_height( 15, 25 ),
			'color'          => '#888a8b',
			'additional-css' => 'text-align: center;',
			'css-selectors'  => '#copyright-note',
		),
	),

	array(
		'id'    => 'fields_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Fields Font', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Text Fields Font',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '400',
			'font-size'      => '15px',
			'color'          => '#9e9f9f',
			'letter-spacing' => chronicle_letter_spacing( 15, -8 ),
			'css-selectors'  => 'input#author, .contact-form input[type="text"], input#email, input#url, #commentform textarea, .contact-form textarea, .widget #s',
		),
	),

	array(
		'id'    => 'buttons_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Buttons Font', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'Buttons Font',
			'preview-color' => 'dark',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => '15px',
			'color'         => '#ffffff',
			'css-selectors' => '.button, .instagram-button a, #commentform input#submit, #mtscontact_submit',
		),
	),

	array(
		'id'    => 'blockquote_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Blockquote Font', 'chronicle' ),
		'std'   => array(
			'preview-text'   => 'Blockquote Font',
			'preview-color'  => 'light',
			'font-family'    => 'Public Sans',
			'font-weight'    => '600',
			'font-size'      => chronicle_px2rem( '24px' ),
			'color'          => '#1a282f',
			'line-height'    => chronicle_line_height( 24, 32 ),
			'additional-css' => 'font-style: italic;',
			'css-selectors'  => 'blockquote',
		),
	),

	array(
		'id'    => 'h1_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H1 Heading in Content', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'H1 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => chronicle_px2rem( '32px' ),
			'color'         => '#1a282f',
			'css-selectors' => 'h1',
		),
	),

	array(
		'id'    => 'h2_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H2 Heading in Content', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'H2 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => chronicle_px2rem( '30px' ),
			'color'         => '#1a282f',
			'css-selectors' => 'h2',
		),
	),

	array(
		'id'    => 'h3_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H3 Heading in Content', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'H3 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => chronicle_px2rem( '26px' ),
			'color'         => '#1a282f',
			'css-selectors' => 'h3',
		),
	),

	array(
		'id'    => 'h4_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H4 Heading in Content', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'H4 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => chronicle_px2rem( '24px' ),
			'color'         => '#1a282f',
			'css-selectors' => 'h4',
		),
	),

	array(
		'id'    => 'h5_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H5 Heading in Content', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'H5 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => chronicle_px2rem( '20px' ),
			'color'         => '#1a282f',
			'css-selectors' => 'h5',
		),
	),

	array(
		'id'    => 'h6_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H6 Heading in Content', 'chronicle' ),
		'std'   => array(
			'preview-text'  => 'H6 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Public Sans',
			'font-weight'   => '700',
			'font-size'     => chronicle_px2rem( '18px' ),
			'color'         => '#1a282f',
			'css-selectors' => 'h6',
		),
	),

	array(
		'id'       => 'typography-subsets',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Character sets', 'chronicle' ),
		'sub_desc' => esc_html__( 'Choose the character sets you wish to include. Please note that not all sets are available for all fonts.', 'chronicle' ),
		'options'  => array(
			'latin'        => esc_html__( 'Latin', 'chronicle' ),
			'latin-ext'    => esc_html__( 'Latin Extended', 'chronicle' ),
			'cyrillic'     => esc_html__( 'Cyrillic', 'chronicle' ),
			'cyrillic-ext' => esc_html__( 'Cyrillic Extended', 'chronicle' ),
			'greek'        => esc_html__( 'Greek', 'chronicle' ),
			'greek-ext'    => esc_html__( 'Greek Extended', 'chronicle' ),
			'vietnamese'   => esc_html__( 'Vietnamese', 'chronicle' ),
			'khmer'        => esc_html__( 'Khmer', 'chronicle' ),
			'devanagari'   => esc_html__( 'Devanagari', 'chronicle' ),
		),
		'std'      => array( 'latin' ),
	),
);
