<?php
/**
 * Header Primary Nav
 *
 * @package Chronicle
 */
?>

<div<?php chronicle_attr( 'menu', 'primary' ); ?>>

	<a href="#" id="pull" class="toggle-mobile-menu"><span><?php esc_html_e( 'Menu', 'chronicle' ); ?></span></a>
	<?php if ( has_nav_menu( 'mobile' ) ) { ?>

		<nav class="navigation clearfix">
			<?php
			// Primary Navigation.
			if ( has_nav_menu( 'primary-menu' ) ) {
				wp_nav_menu( array(
					'theme_location' => 'primary-menu',
					'menu_class'     => 'menu clearfix',
					'container'      => '',
					'walker'         => new chronicle_menu_walker(),
				));
			}
			?>
		</nav>
		<nav class="navigation mobile-only clearfix mobile-menu-wrapper">
			<?php
			// Mobile Menu.
			if ( has_nav_menu( 'mobile' ) ) {
				wp_nav_menu( array(
					'theme_location' => 'mobile',
					'menu_class'     => 'menu clearfix',
					'container'      => '',
					'walker'         => new chronicle_menu_walker(),
				));
			}
			?>
		</nav>

	<?php } else { ?>

		<nav class="navigation clearfix mobile-menu-wrapper">
			<?php
			// Primary Navigation.
			if ( has_nav_menu( 'primary-menu' ) ) {
				wp_nav_menu( array(
					'theme_location' => 'primary-menu',
					'menu_class'     => 'menu clearfix',
					'container'      => '',
					'walker'         => new chronicle_menu_walker(),
				));
			}
			?>
		</nav>

	<?php } ?>

</div><!-- nav -->
